For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
              • GETList Company Subsidiaries
              • DELDelete Company Subsidiary
              • POSTAttach Company as The Parent of Current Company
              • GETList Company Hierarchy
            • Companies
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementCompanyAccount Hierarchies

Delete Company Subsidiary

DELETE
https://api-b2b.bigcommerce.com/api/v3/io/companies/:companyId/subsidiaries/:childCompanyId
DELETE
/api/v3/io/companies/:companyId/subsidiaries/:childCompanyId
$curl -X DELETE https://api-b2b.bigcommerce.com/api/v3/io/companies/123456/subsidiaries/654321 \
> -H "X-Auth-Token: <apiKey>"

Removes the parent-child relationship between a specified subsidiary account and its parent Company.

If the deleted subsidiary has its own subsidiary companies, this request will create a separate hierarchy with the deleted subsidiary at the top.

Was this page helpful?
Previous

List Company Subsidiaries

Next

Attach Company as The Parent of Current Company

Built with

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.
childCompanyIdintegerRequired
The ID of a Company account assigned as a subsidiary to the Company in question.

Response

Success

Errors

400
Bad Request Error